<div [style]="style">
    <ag-grid-angular #agGrid [id]="gridId" 
        style="width: 100%; height: 100%;" class="{{class}} {{theme}}"
        [columnDefs]="columnDefs"
        [defaultColDef]="defaultColDef"
        [rowModelType]="rowModelType"
        [serverSideStoreType]="serverSideStoreType"
        [rowData]="rowData" 
        [sideBar]="sideBar"
        (gridReady)="onGridReady($event)"
    ></ag-grid-angular>
</div>
